<head>
<style>
    body{margin:0}
    iframe{margin:0;}
</style>
</head>
<script type="text/javascript">
  var tag = document.createElement('script');
  tag.id = 'iframe-demo';
  tag.src = 'https://www.youtube.com/iframe_api';
  var firstScriptTag = document.getElementsByTagName('script')[0];
  firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);

  var player;
  function onYouTubeIframeAPIReady() {
    player = new YT.Player('dh-tv-iframe', {
        events: {
          'onReady': onPlayerReady,
          'onStateChange': onPlayerStateChange,
          'onError': onPlayerError
        }
    });
  }

  function onPlayerReady(event) {
    YTWebAppInterface.onPlayerReady();
  }

  function onPlayerError(event) {
      YTWebAppInterface.onPlayerError();
   }

  function onPlayerStateChange(event) {
      var str;
      if (event.data == YT.PlayerState.PLAYING){
          str = {"state":"PLAYING","currentTime":player.getCurrentTime()};
      }else if(event.data == YT.PlayerState.ENDED){
          str = {"state":"ENDED","currentTime":player.getCurrentTime()};
      }else if(event.data == YT.PlayerState.PAUSED){
         str = {"state":"PAUSED","currentTime":player.getCurrentTime()};
      }else if(event.data == YT.PlayerState.BUFFERING){
         str = {"state":"BUFFERING","currentTime":player.getCurrentTime()};
      }else if(event.data == -1){
         str = {"state":"UNSTARTED","currentTime":player.getCurrentTime()};
       }
      YTWebAppInterface.onPlayerStateChange(JSON.stringify(str));
  }

  function startPlay(){
    if(player != null){
        player.playVideo();
        var myvideo = document.getElementsByTagName('video')[0];
        if(myVideo != null){
          myvideo.play();
        }
    }
  }

   function pausePlay(){
      if(player != null){
          player.pauseVideo();
      }
   }

</script>