DROP TABLE IF EXISTS recent_newspapers;
CREATE TABLE recent_newspapers (_id INTEGER PRIMARY KEY AUTOINCREMENT, newspaper_key STRING, category_key STRING, last_viewed INTEGER);
DROP TABLE IF EXISTS newspaper_group;
CREATE TABLE newspaper_group(group_key STRING, language_code STRING, newspaper_name_uni STRING, edition STRING);
INSERT INTO "newspaper_group" VALUES('news','bn','BBC বাংলা','india');
INSERT INTO "newspaper_group" VALUES('news','bn','আমার আনন্দবাজার পত্রিকা ','india');
INSERT INTO "newspaper_group" VALUES('news','bn','Oneindia Bengali','india');
INSERT INTO "newspaper_group" VALUES('news','bn','হিন্দুস্তান সমাচার','india');
INSERT INTO "newspaper_group" VALUES('news','mr','लोकसत्ता','india');
INSERT INTO "newspaper_group" VALUES('news','mr','लोकमत','india');
INSERT INTO "newspaper_group" VALUES('news','mr','सामना','india');
INSERT INTO "newspaper_group" VALUES('news','mr','पुढारी','india');
INSERT INTO "newspaper_group" VALUES('news','pa','ਅਜੀਤ','india');
INSERT INTO "newspaper_group" VALUES('news','pa','dailypunjabtimes','india');
INSERT INTO "newspaper_group" VALUES('news','pa','ਪੰਜਾਬੀ  ਨਿਊਸ ਆਨਲਾਇਨ','india');
INSERT INTO "newspaper_group" VALUES('news','pa',' ਦੋਆਬਾ','india');
INSERT INTO "newspaper_group" VALUES('news','or','Orissa Sambad','india');
INSERT INTO "newspaper_group" VALUES('news','or','ଓଡ଼ିଶା ସମାଚାର','india');
INSERT INTO "newspaper_group" VALUES('news','or','ଓଡିଆ ପୁଅ ','india');
INSERT INTO "newspaper_group" VALUES('news','ta','NewsBuzzaar','india');
INSERT INTO "newspaper_group" VALUES('news','ta','OneIndia Tamil','india');
INSERT INTO "newspaper_group" VALUES('news','ta','தினமலர்','india');
INSERT INTO "newspaper_group" VALUES('news','ta','தினகரன்','india');
INSERT INTO "newspaper_group" VALUES('news','gu','ગુજરાત સમાચાર','india');
INSERT INTO "newspaper_group" VALUES('news','gu','વિશ્વ   ગુજરાત','india');
INSERT INTO "newspaper_group" VALUES('news','gu','સંદેશ','india');
INSERT INTO "newspaper_group" VALUES('news','gu','Oneindia Gujarati','india');
INSERT INTO "newspaper_group" VALUES('news','ur',' اعتماد','india');
INSERT INTO "newspaper_group" VALUES('news','ur','بی بی سی اردو','india');
INSERT INTO "newspaper_group" VALUES('news','ur','کشمیر عظمیٰ','india');
INSERT INTO "newspaper_group" VALUES('news','ur','معيشت','india');
INSERT INTO "newspaper_group" VALUES('news','en','Hindustan Times','india');
INSERT INTO "newspaper_group" VALUES('news','en','India Today','india');
INSERT INTO "newspaper_group" VALUES('news','en','The Indian Express','india');
INSERT INTO "newspaper_group" VALUES('news','en','The New Indian Express','india');
INSERT INTO "newspaper_group" VALUES('news','te','సాక్షి','india');
INSERT INTO "newspaper_group" VALUES('news','te','ఈనాడు','india');
INSERT INTO "newspaper_group" VALUES('news','te','OneIndia Telugu','india');
INSERT INTO "newspaper_group" VALUES('news','te','ఎ పి హెరాల్డ్','india');
INSERT INTO "newspaper_group" VALUES('news','hi','हिंदुस्तान ','india');
INSERT INTO "newspaper_group" VALUES('news','hi','आज तक','india');
INSERT INTO "newspaper_group" VALUES('news','hi','पत्रिका','india');
INSERT INTO "newspaper_group" VALUES('news','hi','अमर उजाला','india');
INSERT INTO "newspaper_group" VALUES('news','ml','മനോരമ','india');
INSERT INTO "newspaper_group" VALUES('news','ml','മറുനാടന്‍ മലയാളി','india');
INSERT INTO "newspaper_group" VALUES('news','ml','OneIndia Malayalam','india');
INSERT INTO "newspaper_group" VALUES('news','ml','മാതൃഭൂമി','india');
INSERT INTO "newspaper_group" VALUES('news','kn','ಕನ್ನಡ ಪ್ರಭ','india');
INSERT INTO "newspaper_group" VALUES('news','kn','ಸುವರ್ಣನ್ಯೂಸ್ ಟಿವಿ','india');
INSERT INTO "newspaper_group" VALUES('news','kn','OneIndia Kannada','india');
INSERT INTO "newspaper_group" VALUES('news','kn','ಪ್ರಜಾವಾಣಿ','india');
INSERT INTO "newspaper_group" VALUES('sports','bn','Pro Kabaddi','india');
INSERT INTO "newspaper_group" VALUES('sports','bn','Cricket','india');
INSERT INTO "newspaper_group" VALUES('sports','bn','DW (Bangla)','india');
INSERT INTO "newspaper_group" VALUES('sports','bn','Oneindia Bengali','india');
INSERT INTO "newspaper_group" VALUES('sports','mr','Pro Kabaddi','india');
INSERT INTO "newspaper_group" VALUES('sports','mr','Cricket','india');
INSERT INTO "newspaper_group" VALUES('sports','mr','CRICKETNMORE - Marathi','india');
INSERT INTO "newspaper_group" VALUES('sports','mr','लोकसत्ता','india');
INSERT INTO "newspaper_group" VALUES('sports','pa','Pro Kabaddi','india');
INSERT INTO "newspaper_group" VALUES('sports','pa','dailypunjabtimes','india');
INSERT INTO "newspaper_group" VALUES('sports','pa','Cricket','india');
INSERT INTO "newspaper_group" VALUES('sports','pa','ਅਜੀਤ','india');
INSERT INTO "newspaper_group" VALUES('sports','or','Pro Kabaddi','india');
INSERT INTO "newspaper_group" VALUES('sports','or','Cricket','india');
INSERT INTO "newspaper_group" VALUES('sports','or','Orissa Sambad','india');
INSERT INTO "newspaper_group" VALUES('sports','or','ଓଡ଼ିଶା ସମାଚାର','india');
INSERT INTO "newspaper_group" VALUES('sports','ta','Pro Kabaddi','india');
INSERT INTO "newspaper_group" VALUES('sports','ta','Cricket','india');
INSERT INTO "newspaper_group" VALUES('sports','ta','OneIndia Tamil','india');
INSERT INTO "newspaper_group" VALUES('sports','ta','தினமலர்','india');
INSERT INTO "newspaper_group" VALUES('sports','gu','Pro Kabaddi','india');
INSERT INTO "newspaper_group" VALUES('sports','gu','ગુજરાત સમાચાર','india');
INSERT INTO "newspaper_group" VALUES('sports','gu','Cricket','india');
INSERT INTO "newspaper_group" VALUES('sports','gu','વિશ્વ   ગુજરાત','india');
INSERT INTO "newspaper_group" VALUES('sports','ur','Pro Kabaddi','india');
INSERT INTO "newspaper_group" VALUES('sports','ur','Cricket','india');
INSERT INTO "newspaper_group" VALUES('sports','ur','بی بی سی اردو','india');
INSERT INTO "newspaper_group" VALUES('sports','ur','DW (Urdu)','india');
INSERT INTO "newspaper_group" VALUES('sports','te','Pro Kabaddi','india');
INSERT INTO "newspaper_group" VALUES('sports','te','Cricket','india');
INSERT INTO "newspaper_group" VALUES('sports','te','సాక్షి','india');
INSERT INTO "newspaper_group" VALUES('sports','te','ఈనాడు','india');
INSERT INTO "newspaper_group" VALUES('sports','en','Pro Kabaddi','india');
INSERT INTO "newspaper_group" VALUES('sports','en','Squawka','india');
INSERT INTO "newspaper_group" VALUES('sports','en','Sports Keeda','india');
INSERT INTO "newspaper_group" VALUES('sports','en','Sports Courant','india');
INSERT INTO "newspaper_group" VALUES('sports','hi','Pro Kabaddi','india');
INSERT INTO "newspaper_group" VALUES('sports','hi','Cricket','india');
INSERT INTO "newspaper_group" VALUES('sports','hi','CRICKETNMORE - Hindi','india');
INSERT INTO "newspaper_group" VALUES('sports','hi','आज तक','india');
INSERT INTO "newspaper_group" VALUES('sports','ml','Pro Kabaddi','india');
INSERT INTO "newspaper_group" VALUES('sports','ml','Cricket','india');
INSERT INTO "newspaper_group" VALUES('sports','ml','Asianet News','india');
INSERT INTO "newspaper_group" VALUES('sports','ml','മനോരമ','india');
INSERT INTO "newspaper_group" VALUES('sports','kn','Pro Kabaddi','india');
INSERT INTO "newspaper_group" VALUES('sports','kn','Cricket','india');
INSERT INTO "newspaper_group" VALUES('sports','kn','ಕನ್ನಡ ಪ್ರಭ','india');
INSERT INTO "newspaper_group" VALUES('sports','kn','ಸುವರ್ಣನ್ಯೂಸ್ ಟಿವಿ','india');
INSERT INTO "newspaper_group" VALUES('entertain','bn','DW (Bangla)','india');
INSERT INTO "newspaper_group" VALUES('entertain','bn','Oneindia Bengali','india');
INSERT INTO "newspaper_group" VALUES('entertain','bn','হিন্দুস্তান সমাচার','india');
INSERT INTO "newspaper_group" VALUES('entertain','mr','वेबदुनिया','india');
INSERT INTO "newspaper_group" VALUES('entertain','mr','लोकसत्ता','india');
INSERT INTO "newspaper_group" VALUES('entertain','mr','लोकमत','india');
INSERT INTO "newspaper_group" VALUES('entertain','mr','हिन्दुस्थान समाचार','india');
INSERT INTO "newspaper_group" VALUES('entertain','pa','dailypunjabtimes','india');
INSERT INTO "newspaper_group" VALUES('entertain','pa',' ਦੋਆਬਾ','india');
INSERT INTO "newspaper_group" VALUES('entertain','ta','சினிமா எக்ஸ்பிரஸ்','india');
INSERT INTO "newspaper_group" VALUES('entertain','ta','FilmiBeat தமிழ்','india');
INSERT INTO "newspaper_group" VALUES('entertain','ta','OneIndia Tamil','india');
INSERT INTO "newspaper_group" VALUES('entertain','ta','தினமலர்','india');
INSERT INTO "newspaper_group" VALUES('entertain','gu','ગુજરાત સમાચાર','india');
INSERT INTO "newspaper_group" VALUES('entertain','gu','વિશ્વ   ગુજરાત','india');
INSERT INTO "newspaper_group" VALUES('entertain','gu','સંદેશ','india');
INSERT INTO "newspaper_group" VALUES('entertain','gu','Oneindia Gujarati','india');
INSERT INTO "newspaper_group" VALUES('entertain','te','తెలుగు మిర్చి','india');
INSERT INTO "newspaper_group" VALUES('entertain','te','FilmiBeat తెలుగు','india');
INSERT INTO "newspaper_group" VALUES('entertain','te','తెలుగు వన్','india');
INSERT INTO "newspaper_group" VALUES('entertain','te','10tv','india');
INSERT INTO "newspaper_group" VALUES('entertain','en','SANTABANTA','india');
INSERT INTO "newspaper_group" VALUES('entertain','en','Koimoi','india');
INSERT INTO "newspaper_group" VALUES('entertain','en','FilmiBeat','india');
INSERT INTO "newspaper_group" VALUES('entertain','en','Glamsham','india');
INSERT INTO "newspaper_group" VALUES('entertain','hi','SANTABANTA','india');
INSERT INTO "newspaper_group" VALUES('entertain','hi','FilmiBeat हिन्दी','india');
INSERT INTO "newspaper_group" VALUES('entertain','hi','आज तक','india');
INSERT INTO "newspaper_group" VALUES('entertain','hi','गज़बPOST','india');
INSERT INTO "newspaper_group" VALUES('entertain','ml','CinemaScoop','india');
INSERT INTO "newspaper_group" VALUES('entertain','ml','FilmiBeat മലയാളം','india');
INSERT INTO "newspaper_group" VALUES('entertain','ml','മെഗാ മൂവി ബ്ലോഗ്‌','india');
INSERT INTO "newspaper_group" VALUES('entertain','ml','ഇന്ത്യ വിഷന്‍ ടിവി','india');
INSERT INTO "newspaper_group" VALUES('entertain','kn','FilmiBeat ಕನ್ನಡ','india');
INSERT INTO "newspaper_group" VALUES('entertain','kn','ಕನ್ನಡ ಪ್ರಭ','india');
INSERT INTO "newspaper_group" VALUES('entertain','kn','ಸುವರ್ಣನ್ಯೂಸ್ ಟಿವಿ','india');
INSERT INTO "newspaper_group" VALUES('entertain','kn','OneIndia Kannada','india');
INSERT INTO "newspaper_group" VALUES('world','bn','আমার আনন্দবাজার পত্রিকা ','india');
INSERT INTO "newspaper_group" VALUES('world','bn','Oneindia Bengali','india');
INSERT INTO "newspaper_group" VALUES('world','bn','DW (Bangla)','india');
INSERT INTO "newspaper_group" VALUES('world','mr','लोकसत्ता','india');
INSERT INTO "newspaper_group" VALUES('world','mr','लोकमत','india');
INSERT INTO "newspaper_group" VALUES('world','mr','सामना','india');
INSERT INTO "newspaper_group" VALUES('world','mr','पुढारी','india');
INSERT INTO "newspaper_group" VALUES('world','pa','dailypunjabtimes','india');
INSERT INTO "newspaper_group" VALUES('world','pa','ਪੰਜਾਬੀ  ਨਿਊਸ ਆਨਲਾਇਨ','india');
INSERT INTO "newspaper_group" VALUES('world','ta','OneIndia Tamil','india');
INSERT INTO "newspaper_group" VALUES('world','ta','தினமலர்','india');
INSERT INTO "newspaper_group" VALUES('world','ta','தினகரன்','india');
INSERT INTO "newspaper_group" VALUES('world','ta','தினமணி','india');
INSERT INTO "newspaper_group" VALUES('world','gu','વિશ્વ   ગુજરાત','india');
INSERT INTO "newspaper_group" VALUES('world','gu','સંદેશ','india');
INSERT INTO "newspaper_group" VALUES('world','gu','Oneindia Gujarati','india');
INSERT INTO "newspaper_group" VALUES('world','gu','GSTV','india');
INSERT INTO "newspaper_group" VALUES('world','ur','بی بی سی اردو','india');
INSERT INTO "newspaper_group" VALUES('world','ur','DW (Urdu)','india');
INSERT INTO "newspaper_group" VALUES('world','en','The Indian Express','india');
INSERT INTO "newspaper_group" VALUES('world','en','IANS Live','india');
INSERT INTO "newspaper_group" VALUES('world','en','The New Indian Express','india');
INSERT INTO "newspaper_group" VALUES('world','en','Catch News','india');
INSERT INTO "newspaper_group" VALUES('world','te','సాక్షి','india');
INSERT INTO "newspaper_group" VALUES('world','te','OneIndia Telugu','india');
INSERT INTO "newspaper_group" VALUES('world','te','ప్రభన్యూస్','india');
INSERT INTO "newspaper_group" VALUES('world','te','నమస్తే హైదరాబాద్','india');
INSERT INTO "newspaper_group" VALUES('world','hi','आज तक','india');
INSERT INTO "newspaper_group" VALUES('world','hi','पत्रिका','india');
INSERT INTO "newspaper_group" VALUES('world','hi','OneIndia Hindi','india');
INSERT INTO "newspaper_group" VALUES('world','hi','राजस्थान पत्रिका','india');
INSERT INTO "newspaper_group" VALUES('world','ml','മനോരമ','india');
INSERT INTO "newspaper_group" VALUES('world','ml','മാതൃഭൂമി','india');
INSERT INTO "newspaper_group" VALUES('world','ml','Reporter','india');
INSERT INTO "newspaper_group" VALUES('world','ml','കെ വാര്‍ത്ത','india');
INSERT INTO "newspaper_group" VALUES('world','kn','ಕನ್ನಡ ಪ್ರಭ','india');
INSERT INTO "newspaper_group" VALUES('world','kn','ಸುವರ್ಣನ್ಯೂಸ್ ಟಿವಿ','india');
INSERT INTO "newspaper_group" VALUES('world','kn','OneIndia Kannada','india');
INSERT INTO "newspaper_group" VALUES('world','kn','ಪ್ರಜಾವಾಣಿ','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','mr','वेबदुनिया','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','mr','सामना','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','mr','लोकसत्ता','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','mr','लोकमत','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','ta','OneIndia Tamil','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','ta','தினகரன்','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','ta','இந்தியன் சுற்றச்','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','gu','ચિત્રલેખા','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','gu','GSTV','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','gu','કચ્છ ઉદય','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','gu','સંદેશ','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','en','Missmalini','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','en','Boldsky','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','en','Wonder Woman','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','en','CureJoy','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','te','OneIndia Telugu','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','te','సాక్షి','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','te','ఈనాడు','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','te','ఇండియన్ సూత్రాస్','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','hi','AAPKI Saheli','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','hi','पत्रिका','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','hi','खास खबर','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','hi','आज तक','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','ml','ഇന്ത്യന്‍  സുത്രാസ്','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','ml','മംഗളം','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','ml','Reporter','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','ml','മാധ്യമം','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','kn','ಕನ್ನಡ ಪ್ರಭ','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','kn','ಸುವರ್ಣನ್ಯೂಸ್ ಟಿವಿ','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','kn','OneIndia Kannada','india');
INSERT INTO "newspaper_group" VALUES('lifestyle','kn','ಇಂಡಿಯನ್ ಸೋತ್ರಾಸ್','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','mr','लोकसत्ता','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','pa','ਪੰਜਾਬੀ  ਨਿਊਸ ਆਨਲਾਇਨ','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','ta','OneIndia Tamil','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','ta','தினகரன்','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','gu','સંદેશ','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','en','Boldsky','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','en','The New Indian Express','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','en','The Indian Express','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','en','OneIndia','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','te','ఈనాడు','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','te','OneIndia Telugu','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','te','నమస్తే తెలంగాణ','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','te','తెలుగు వన్','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','hi','प्रभात खबर ','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','hi','OneIndia Hindi','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','hi','पत्रिका','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','hi','हरिभूमि','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','kn','ಕನ್ನಡ ಪ್ರಭ','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','kn','ಸುವರ್ಣನ್ಯೂಸ್ ಟಿವಿ','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','kn','OneIndia Kannada','india');
INSERT INTO "newspaper_group" VALUES('healthbeauty','kn','ಪ್ರಜಾವಾಣಿ','india');
INSERT INTO "newspaper_group" VALUES('food','ta','Awesomecuisine Tamil','india');
INSERT INTO "newspaper_group" VALUES('food','gu','સંદેશ','india');
INSERT INTO "newspaper_group" VALUES('food','gu','ચિત્રલેખા','india');
INSERT INTO "newspaper_group" VALUES('food','en','Awesomecuisine English','india');
INSERT INTO "newspaper_group" VALUES('food','en','Kitchen Platter','india');
INSERT INTO "newspaper_group" VALUES('food','en','Boldsky','india');
INSERT INTO "newspaper_group" VALUES('food','en','The Indian Express','india');
INSERT INTO "newspaper_group" VALUES('food','te','OneIndia Telugu','india');
INSERT INTO "newspaper_group" VALUES('food','te','సూర్య','india');
INSERT INTO "newspaper_group" VALUES('food','hi','व्यंजन','india');
INSERT INTO "newspaper_group" VALUES('food','hi','OneIndia Hindi','india');
INSERT INTO "newspaper_group" VALUES('food','hi','AAPKI Saheli','india');
INSERT INTO "newspaper_group" VALUES('food','hi','पत्रिका','india');
INSERT INTO "newspaper_group" VALUES('food','ml','OneIndia Malayalam','india');
INSERT INTO "newspaper_group" VALUES('food','kn','OneIndia Kannada','india');
INSERT INTO "newspaper_group" VALUES('food','kn','ಪ್ರಜಾವಾಣಿ','india');
INSERT INTO "newspaper_group" VALUES('food','kn','Kannada Dunia','india');
INSERT INTO "newspaper_group" VALUES('tech','ta','கிஸ்பாட்','india');
INSERT INTO "newspaper_group" VALUES('tech','gu','GSTV','india');
INSERT INTO "newspaper_group" VALUES('tech','gu','સંદેશ','india');
INSERT INTO "newspaper_group" VALUES('tech','gu','ચિત્રલેખા','india');
INSERT INTO "newspaper_group" VALUES('tech','gu','વિશ્વ   ગુજરાત','india');
INSERT INTO "newspaper_group" VALUES('tech','ur','بی بی سی اردو','india');
INSERT INTO "newspaper_group" VALUES('tech','ur','DW (Urdu)','india');
INSERT INTO "newspaper_group" VALUES('tech','en','91mobiles','india');
INSERT INTO "newspaper_group" VALUES('tech','en','All Tech Buzz','india');
INSERT INTO "newspaper_group" VALUES('tech','en','ANDROCID','india');
INSERT INTO "newspaper_group" VALUES('tech','en','Android Advices','india');
INSERT INTO "newspaper_group" VALUES('tech','te','OneIndia Telugu','india');
INSERT INTO "newspaper_group" VALUES('tech','te','గిజ్బోట్','india');
INSERT INTO "newspaper_group" VALUES('tech','hi','पत्रिका','india');
INSERT INTO "newspaper_group" VALUES('tech','hi','बीबीसी हिंदी ','india');
INSERT INTO "newspaper_group" VALUES('tech','hi','बिज़नेस स्टैंडर्ड','india');
INSERT INTO "newspaper_group" VALUES('tech','hi','राजस्थान पत्रिका','india');
INSERT INTO "newspaper_group" VALUES('tech','ml','ഗിസ്ബോട്ട് ','india');
INSERT INTO "newspaper_group" VALUES('tech','ml','മാതൃഭൂമി','india');
INSERT INTO "newspaper_group" VALUES('tech','ml','Global Vartha','india');
INSERT INTO "newspaper_group" VALUES('tech','ml','e വാര്‍ത്ത‍','india');
INSERT INTO "newspaper_group" VALUES('tech','kn','ಇಜ್ಞಾನ','india');
INSERT INTO "newspaper_group" VALUES('tech','kn','ಗಿಜ್ಬೋಟ್','india');
INSERT INTO "newspaper_group" VALUES('tech','kn','ಕನ್ನಡ ಪ್ರಭ','india');
INSERT INTO "newspaper_group" VALUES('tech','kn','OneIndia Kannada','india');
INSERT INTO "newspaper_group" VALUES('autos','mr','लोकसत्ता','india');
INSERT INTO "newspaper_group" VALUES('autos','ta','OneIndia Tamil','india');
INSERT INTO "newspaper_group" VALUES('autos','en','Ifairer','india');
INSERT INTO "newspaper_group" VALUES('autos','en','Kaumudiglobal','india');
INSERT INTO "newspaper_group" VALUES('autos','en','OneIndia','india');
INSERT INTO "newspaper_group" VALUES('autos','en','The New Indian Express','india');
INSERT INTO "newspaper_group" VALUES('autos','te','OneIndia Telugu','india');
INSERT INTO "newspaper_group" VALUES('autos','hi','आज तक','india');
INSERT INTO "newspaper_group" VALUES('autos','hi','OneIndia Hindi','india');
INSERT INTO "newspaper_group" VALUES('autos','hi','पत्रिका','india');
INSERT INTO "newspaper_group" VALUES('autos','hi','बिज़नेस खासखबर','india');
INSERT INTO "newspaper_group" VALUES('autos','kn','ಕನ್ನಡ ಪ್ರಭ','india');
INSERT INTO "newspaper_group" VALUES('autos','kn','OneIndia Kannada','india');
INSERT INTO "newspaper_group" VALUES('business','bn','আমার আনন্দবাজার পত্রিকা ','india');
INSERT INTO "newspaper_group" VALUES('business','mr','लोकसत्ता','india');
INSERT INTO "newspaper_group" VALUES('business','mr','लोकमत','india');
INSERT INTO "newspaper_group" VALUES('business','mr','हिन्दुस्थान समाचार','india');
INSERT INTO "newspaper_group" VALUES('business','mr','वेबदुनिया','india');
INSERT INTO "newspaper_group" VALUES('business','pa','dailypunjabtimes','india');
INSERT INTO "newspaper_group" VALUES('business','or','Orissa Sambad','india');
INSERT INTO "newspaper_group" VALUES('business','ta','OneIndia Tamil','india');
INSERT INTO "newspaper_group" VALUES('business','ta','தினமலர்','india');
INSERT INTO "newspaper_group" VALUES('business','ta','தினகரன்','india');
INSERT INTO "newspaper_group" VALUES('business','ta','விகடன்','india');
INSERT INTO "newspaper_group" VALUES('business','gu','સંદેશ','india');
INSERT INTO "newspaper_group" VALUES('business','gu','GSTV','india');
INSERT INTO "newspaper_group" VALUES('business','gu','Oneindia Gujarati','india');
INSERT INTO "newspaper_group" VALUES('business','gu','ચિત્રલેખા','india');
INSERT INTO "newspaper_group" VALUES('business','en','Mint','india');
INSERT INTO "newspaper_group" VALUES('business','en','Business Standard','india');
INSERT INTO "newspaper_group" VALUES('business','en','Business Today','india');
INSERT INTO "newspaper_group" VALUES('business','en','Outlook Business','india');
INSERT INTO "newspaper_group" VALUES('business','te','సాక్షి','india');
INSERT INTO "newspaper_group" VALUES('business','te','ఈనాడు','india');
INSERT INTO "newspaper_group" VALUES('business','te','OneIndia Telugu','india');
INSERT INTO "newspaper_group" VALUES('business','te','ఆంధ్రజ్యోతి','india');
INSERT INTO "newspaper_group" VALUES('business','hi','बिज़नेस स्टैंडर्ड','india');
INSERT INTO "newspaper_group" VALUES('business','hi','बिज़नेस खासखबर','india');
INSERT INTO "newspaper_group" VALUES('business','hi','आज तक','india');
INSERT INTO "newspaper_group" VALUES('business','hi','पत्रिका','india');
INSERT INTO "newspaper_group" VALUES('business','ml','ഇന്ത്യ വിഷന്‍ ടിവി','india');
INSERT INTO "newspaper_group" VALUES('business','ml','Asianet News','india');
INSERT INTO "newspaper_group" VALUES('business','ml','മനോരമ','india');
INSERT INTO "newspaper_group" VALUES('business','ml','മറുനാടന്‍ മലയാളി','india');
INSERT INTO "newspaper_group" VALUES('business','kn','ಕನ್ನಡ ಪ್ರಭ','india');
INSERT INTO "newspaper_group" VALUES('business','kn','OneIndia Kannada','india');
INSERT INTO "newspaper_group" VALUES('business','kn','ಉದಯವಾಣಿ','india');
INSERT INTO "newspaper_group" VALUES('business','kn','ವಿಜಯವಾಣಿ','india');
INSERT INTO "newspaper_group" VALUES('astro','bn','গণেশ স্পীক','india');
INSERT INTO "newspaper_group" VALUES('astro','mr','गणेशा स्पीक्स','india');
INSERT INTO "newspaper_group" VALUES('astro','mr','लोकमत','india');
INSERT INTO "newspaper_group" VALUES('astro','mr','लोकसत्ता','india');
INSERT INTO "newspaper_group" VALUES('astro','mr','वेबदुनिया','india');
INSERT INTO "newspaper_group" VALUES('astro','pa','ਗਣੇਸ਼ਾ ਸਪੀਕਸ','india');
INSERT INTO "newspaper_group" VALUES('astro','ta','கணேஷ ச்பிக்ஸ் ','india');
INSERT INTO "newspaper_group" VALUES('astro','ta','OneIndia Tamil','india');
INSERT INTO "newspaper_group" VALUES('astro','ta','தினமலர்','india');
INSERT INTO "newspaper_group" VALUES('astro','ta','தினகரன்','india');
INSERT INTO "newspaper_group" VALUES('astro','gu','ગણેશાસ્પિક્સ','india');
INSERT INTO "newspaper_group" VALUES('astro','gu','સંદેશ','india');
INSERT INTO "newspaper_group" VALUES('astro','en','Ganesha Speaks','india');
INSERT INTO "newspaper_group" VALUES('astro','en','The Indian Express','india');
INSERT INTO "newspaper_group" VALUES('astro','en','Deccan Herald','india');
INSERT INTO "newspaper_group" VALUES('astro','en','Ifairer','india');
INSERT INTO "newspaper_group" VALUES('astro','te','గణేశ స్పీక్స్','india');
INSERT INTO "newspaper_group" VALUES('astro','te','ఈనాడు','india');
INSERT INTO "newspaper_group" VALUES('astro','te','OneIndia Telugu','india');
INSERT INTO "newspaper_group" VALUES('astro','te','ఎ పి హెరాల్డ్','india');
INSERT INTO "newspaper_group" VALUES('astro','hi','गणेशा स्पीक्स','india');
INSERT INTO "newspaper_group" VALUES('astro','hi','देशबन्धु','india');
INSERT INTO "newspaper_group" VALUES('astro','hi','आज तक','india');
INSERT INTO "newspaper_group" VALUES('astro','hi','OneIndia Hindi','india');
INSERT INTO "newspaper_group" VALUES('astro','ml','ഗണേശ സ്പീക്സ്','india');
INSERT INTO "newspaper_group" VALUES('astro','ml','മംഗളം','india');
INSERT INTO "newspaper_group" VALUES('astro','ml','കേരളകൗമുദി','india');
INSERT INTO "newspaper_group" VALUES('astro','ml','മനോരമ','india');
INSERT INTO "newspaper_group" VALUES('astro','kn','ಗಣೇಶ ಸ್ಪೀಕ್ಸ್','india');
INSERT INTO "newspaper_group" VALUES('astro','kn','ಕನ್ನಡ ಪ್ರಭ','india');
INSERT INTO "newspaper_group" VALUES('astro','kn','ಪ್ರಜಾವಾಣಿ','india');
INSERT INTO "newspaper_group" VALUES('astro','kn','ಉದಯವಾಣಿ','india');
INSERT INTO "newspaper_group" VALUES('opinion','bn','আমার আনন্দবাজার পত্রিকা ','india');
INSERT INTO "newspaper_group" VALUES('opinion','pa','ਪੰਜਾਬੀ  ਨਿਊਸ ਆਨਲਾਇਨ','india');
INSERT INTO "newspaper_group" VALUES('opinion','ta','தினமணி','india');
INSERT INTO "newspaper_group" VALUES('opinion','gu','સંદેશ','india');
INSERT INTO "newspaper_group" VALUES('opinion','en','Scroll.in','india');
INSERT INTO "newspaper_group" VALUES('opinion','en','The New Indian Express','india');
INSERT INTO "newspaper_group" VALUES('opinion','en','I PAID A BRIBE','india');
INSERT INTO "newspaper_group" VALUES('opinion','en','INDIA TODAY TV','india');
INSERT INTO "newspaper_group" VALUES('opinion','te','ప్రభన్యూస్','india');
INSERT INTO "newspaper_group" VALUES('opinion','te','ఆంధ్రజ్యోతి','india');
INSERT INTO "newspaper_group" VALUES('opinion','te','నమస్తే తెలంగాణ','india');
INSERT INTO "newspaper_group" VALUES('opinion','te','తెలుగు వన్','india');
INSERT INTO "newspaper_group" VALUES('opinion','kn','ಪ್ರಜಾವಾಣಿ','india');
INSERT INTO "newspaper_group" VALUES('opinion','kn','ವಿಜಯವಾಣಿ','india');
INSERT INTO "newspaper_group" VALUES('education','mr','लोकसत्ता','india');
INSERT INTO "newspaper_group" VALUES('education','ta','தினமணி','india');
INSERT INTO "newspaper_group" VALUES('education','en','Lifehacker','india');
INSERT INTO "newspaper_group" VALUES('education','en','Deccan Herald','india');
INSERT INTO "newspaper_group" VALUES('education','en','Future Medicine','india');
INSERT INTO "newspaper_group" VALUES('education','en','Education Insider','india');
INSERT INTO "newspaper_group" VALUES('education','te','ఈనాడు','india');
INSERT INTO "newspaper_group" VALUES('education','te','ప్రజాశక్తి','india');
INSERT INTO "newspaper_group" VALUES('education','te','నమస్తే హైదరాబాద్','india');
INSERT INTO "newspaper_group" VALUES('education','hi','बीबीसी हिंदी ','india');
INSERT INTO "newspaper_group" VALUES('education','hi','पत्रिका','india');
INSERT INTO "newspaper_group" VALUES('education','hi','प्रभात खबर ','india');
INSERT INTO "newspaper_group" VALUES('education','hi','ब्रेकिंग न्यूज़ (IANS)','india');
INSERT INTO "newspaper_group" VALUES('education','kn','ಸೀ ಆಯಂಡ್ ಸೇ ಕನ್ನಡ','india');
INSERT INTO "newspaper_group" VALUES('religion','ta','தினகரன்','india');
INSERT INTO "newspaper_group" VALUES('religion','gu','સંદેશ','india');
INSERT INTO "newspaper_group" VALUES('religion','hi','रफ़्तार','india');
INSERT INTO "newspaper_group" VALUES('religion','ml','Anweshanam','india');
INSERT INTO "newspaper_group" VALUES('religion','ml','കേരളകൗമുദി','india');
INSERT INTO "newspaper_group" VALUES('religion','ml','മംഗളം','india');
INSERT INTO "newspaper_group" VALUES('religion','ml','മറുനാടന്‍ മലയാളി','india');
INSERT INTO "newspaper_group" VALUES('magazines','ta','விகடன்','india');
INSERT INTO "newspaper_group" VALUES('magazines','ta','தினமணி','india');
INSERT INTO "newspaper_group" VALUES('magazines','kn','ಕನ್ನಡ ಪ್ರಭ','india');
INSERT INTO "newspaper_group" VALUES('magazines','kn','ಸುವರ್ಣನ್ಯೂಸ್ ಟಿವಿ','india');
INSERT INTO "newspaper_group" VALUES('travel','mr','लोकसत्ता','india');
INSERT INTO "newspaper_group" VALUES('travel','gu','સંદેશ','india');
INSERT INTO "newspaper_group" VALUES('travel','gu','ચિત્રલેખા','india');
INSERT INTO "newspaper_group" VALUES('travel','en','HolidayIQ','india');
INSERT INTO "newspaper_group" VALUES('travel','en','Outlook Traveller','india');
INSERT INTO "newspaper_group" VALUES('travel','en','Tarungoel','india');
INSERT INTO "newspaper_group" VALUES('travel','en','Deccan Herald','india');
INSERT INTO "newspaper_group" VALUES('travel','hi','Tarungoel','india');
INSERT INTO "newspaper_group" VALUES('travel','hi','मुसाफ़िर हूँ यारों','india');
INSERT INTO "newspaper_group" VALUES('travel','hi','Mukesh Bhalse Blog','india');
INSERT INTO "newspaper_group" VALUES('travel','hi','आज तक','india');
INSERT INTO "newspaper_group" VALUES('travel','ml','മാതൃഭൂമി','india');
INSERT INTO "newspaper_group" VALUES('travel','ml','e വാര്‍ത്ത‍','india');
INSERT INTO "newspaper_group" VALUES('travel','kn','ಕನ್ನಡ ಪ್ರಭ','india');
INSERT INTO "newspaper_group" VALUES('travel','kn','ಪ್ರಜಾವಾಣಿ','india');
INSERT INTO "newspaper_group" VALUES('localnews','mr','लोकसत्ता','india');
INSERT INTO "newspaper_group" VALUES('localnews','mr','लोकमत','india');
INSERT INTO "newspaper_group" VALUES('localnews','mr','सामना','india');
INSERT INTO "newspaper_group" VALUES('localnews','mr','पुढारी','india');
INSERT INTO "newspaper_group" VALUES('employment','en','Employment News','india');
INSERT INTO "newspaper_group" VALUES('ideazone','en','Idea Zone','india');
INSERT INTO "newspaper_group" VALUES('national','bn','আমার আনন্দবাজার পত্রিকা ','india');
INSERT INTO "newspaper_group" VALUES('national','mr','लोकसत्ता','india');
INSERT INTO "newspaper_group" VALUES('national','mr','लोकमत','india');
INSERT INTO "newspaper_group" VALUES('national','mr','सामना','india');
INSERT INTO "newspaper_group" VALUES('national','mr','हिन्दुस्थान समाचार','india');
INSERT INTO "newspaper_group" VALUES('national','te','సాక్షి','india');
INSERT INTO "newspaper_group" VALUES('national','te','ఈనాడు','india');
INSERT INTO "newspaper_group" VALUES('national','te','OneIndia Telugu','india');
INSERT INTO "newspaper_group" VALUES('national','te','ఆంధ్రజ్యోతి','india');
INSERT INTO "newspaper_group" VALUES('national','hi','आज तक','india');
INSERT INTO "newspaper_group" VALUES('national','hi','पत्रिका','india');
INSERT INTO "newspaper_group" VALUES('national','hi','OneIndia Hindi','india');
INSERT INTO "newspaper_group" VALUES('national','hi','राजस्थान पत्रिका','india');
INSERT INTO "newspaper_group" VALUES('national','ml','മറുനാടന്‍ മലയാളി','india');
INSERT INTO "newspaper_group" VALUES('national','ml','മനോരമ','india');
INSERT INTO "newspaper_group" VALUES('national','ml','OneIndia Malayalam','india');
INSERT INTO "newspaper_group" VALUES('national','ml','മാതൃഭൂമി','india');
INSERT INTO "newspaper_group" VALUES('national','kn','ಕನ್ನಡ ಪ್ರಭ','india');
INSERT INTO "newspaper_group" VALUES('national','kn','ಸುವರ್ಣನ್ಯೂಸ್ ಟಿವಿ','india');
INSERT INTO "newspaper_group" VALUES('national','kn','OneIndia Kannada','india');
INSERT INTO "newspaper_group" VALUES('national','kn','ಪ್ರಜಾವಾಣಿ','india');
INSERT INTO "newspaper_group" VALUES('mobileandgadget','en','91mobiles','india');
INSERT INTO "newspaper_group" VALUES('mobileandgadget','en','Android Advices','india');
INSERT INTO "newspaper_group" VALUES('mobileandgadget','en','ANDROCID','india');
INSERT INTO "newspaper_group" VALUES('mobileandgadget','en','The Indian Express','india');
INSERT INTO "newspaper_group" VALUES('tamilbullet','ta','NewsBuzzaar','india');
INSERT INTO "newspaper_group" VALUES('bhojpuri','hi','Bhojpurika','india');
INSERT INTO "newspaper_group" VALUES('bhojpuri','hi','Tatkakhabar','india');
INSERT INTO "newspaper_group" VALUES('bhojpuri','hi','भोजपुरी पंचायत','india');
INSERT INTO "newspaper_group" VALUES('jokesand','en','SANTABANTA','india');
INSERT INTO "newspaper_group" VALUES('jokesand','en','Teekhi Mirchi','india');
INSERT INTO "newspaper_group" VALUES('jokesand','hi','SANTABANTA','india');
INSERT INTO "newspaper_group" VALUES('jokesand','hi','OneIndia Hindi','india');
INSERT INTO "newspaper_group" VALUES('jokesand','hi','अमर उजाला','india');
INSERT INTO "newspaper_group" VALUES('jokesand','hi','राजस्थान पत्रिका','india');
INSERT INTO "newspaper_group" VALUES('featuredarticle','ta','NewsBuzzaar','india');
INSERT INTO "newspaper_group" VALUES('featuredarticle','en','Catch News','india');
INSERT INTO "newspaper_group" VALUES('featuredarticle','en','Indiaspend','india');
INSERT INTO "newspaper_group" VALUES('featuredarticle','en','Fact Checker','india');
INSERT INTO "newspaper_group" VALUES('featuredarticle','en','YourStory','india');
INSERT INTO "newspaper_group" VALUES('featuredarticle','hi','Indiaspend Hindi','india');
INSERT INTO "newspaper_group" VALUES('news','bn','প্রথম  আলো ','bangladesh');
INSERT INTO "newspaper_group" VALUES('news','bn','কালের কন্ঠ ','bangladesh');
INSERT INTO "newspaper_group" VALUES('news','bn','বাংলাদেশ প্রতিদিন ','bangladesh');
INSERT INTO "newspaper_group" VALUES('news','bn','জাস্ট নিউস বিডি','bangladesh');
INSERT INTO "newspaper_group" VALUES('news','en','Daily-sun','bangladesh');
INSERT INTO "newspaper_group" VALUES('news','en','Aljazeera','bangladesh');
INSERT INTO "newspaper_group" VALUES('sports','bn','প্রথম  আলো ','bangladesh');
INSERT INTO "newspaper_group" VALUES('business','en','Daily-sun','bangladesh');
INSERT INTO "newspaper_group" VALUES('news','en','VANGUARD','africa');
INSERT INTO "newspaper_group" VALUES('news','en','PM News','africa');
INSERT INTO "newspaper_group" VALUES('news','en','The Nation','africa');
INSERT INTO "newspaper_group" VALUES('news','en','Infobascongo','africa');
INSERT INTO "newspaper_group" VALUES('Nigeria','en','VANGUARD','africa');
INSERT INTO "newspaper_group" VALUES('Nigeria','en','The Nation','africa');
INSERT INTO "newspaper_group" VALUES('Nigeria','en','Pulse.ng','africa');
INSERT INTO "newspaper_group" VALUES('Nigeria','en','Nigerian Tribune','africa');
INSERT INTO "newspaper_group" VALUES('Ghana','en','Daily Guide Ghana','africa');
INSERT INTO "newspaper_group" VALUES('Ghana','en','Modern Ghana','africa');
INSERT INTO "newspaper_group" VALUES('Ghana','en','Pulse.com.gh','africa');
INSERT INTO "newspaper_group" VALUES('Ghana','en','AllSports.com.gh','africa');
INSERT INTO "newspaper_group" VALUES('Congo','en','Infobascongo','africa');
INSERT INTO "newspaper_group" VALUES('zambia','en','Times Zambia','africa');
INSERT INTO "newspaper_group" VALUES('tanzania','en','Mwananchi','africa');
INSERT INTO "newspaper_group" VALUES('tanzania','en','Mwanaspoti','africa');
INSERT INTO "newspaper_group" VALUES('tanzania','en','Citizen','africa');
INSERT INTO "newspaper_group" VALUES('news','ta','தமிழ் மிர்ரர் ','srilanka');
INSERT INTO "newspaper_group" VALUES('news','en','Daily FT','srilanka');
INSERT INTO "newspaper_group" VALUES('news','en','Daily Mirror Lanka','srilanka');
INSERT INTO "newspaper_group" VALUES('sports','en','Wisden Lanka','srilanka');
INSERT INTO "newspaper_group" VALUES('world','en','Daily FT','srilanka');
INSERT INTO "newspaper_group" VALUES('world','en','Daily Mirror Lanka','srilanka');
INSERT INTO "newspaper_group" VALUES('news','en','Aljazeera UAE','uae');
